NAT Gateways

List NAT Gateways

get

List all NAT Gateways within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/natgateways

Create a NAT Gateway

post

Creates a NAT Gateway within the data center.

This operation is restricted to contract owner, admin, and users with 'createInternetAccess' privileges.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
post
/datacenters/{datacenterId}/natgateways

Retrieve NAT Gateways

get

Retrieve the properties of the specified NAT Gateway within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/natgateways/{natGatewayId}

Modify NAT Gateways

put

Modify the properties of the specified NAT Gateway within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
put
/datacenters/{datacenterId}/natgateways/{natGatewayId}

Delete NAT Gateways

delete

Remove the specified NAT Gateway from the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
delete
/datacenters/{datacenterId}/natgateways/{natGatewayId}

No content

Partially modify NAT Gateways

patch

Update the properties of the specified NAT Gateway within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
namestringRequired

Name of the NAT Gateway.

Example: My NAT Gateway
publicIpsstring[]Required

Collection of public IP addresses of the NAT Gateway. Should be customer reserved IP addresses in that location.

Example: ["81.173.1.2","82.231.2.5","92.221.2.4"]
Responses
patch
/datacenters/{datacenterId}/natgateways/{natGatewayId}

List NAT Gateway rules

get

List all rules for the specified NAT Gateway.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules

Create a NAT Gateway Rule

post

Creates a rule for the specified NAT Gateway.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
post
/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules

Retrieve NAT Gateway rules

get

Retrieve the properties of the specified NAT Gateway rule.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

natGatewayRuleIdstringRequired

The unique ID of the NAT Gateway rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules/{natGatewayRuleId}

Modify a NAT Gateway Rule by ID

put

Modify the specified NAT Gateway rule.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

natGatewayRuleIdstringRequired

The unique ID of the NAT Gateway rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
put
/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules/{natGatewayRuleId}

Delete NAT Gateway rules

delete

Delete the specified NAT Gateway rule.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

natGatewayRuleIdstringRequired

The unique ID of the NAT Gateway rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
delete
/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules/{natGatewayRuleId}

No content

Partially Modify a NAT Gateway Rule by ID

patch

Updates the properties of the specified NAT Gateway rule.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

natGatewayRuleIdstringRequired

The unique ID of the NAT Gateway rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
namestringRequired

The name of the NAT Gateway rule.

Example: My NAT Gateway rule
typestring · enumOptionalPossible values:
protocolstring · enumOptionalPossible values:
sourceSubnetstringRequired

Source subnet of the NAT Gateway rule. For SNAT rules it specifies which packets this translation rule applies to based on the packets source IP address.

Example: 10.0.1.0/24
publicIpstringRequired

Public IP address of the NAT Gateway rule. Specifies the address used for masking outgoing packets source address field. Should be one of the customer reserved IP address already configured on the NAT Gateway resource

Example: 192.18.7.17
targetSubnetstringOptional

Target or destination subnet of the NAT Gateway rule. For SNAT rules it specifies which packets this translation rule applies to based on the packets destination IP address. If none is provided, rule will match any address.

Example: 10.0.1.0/24
Responses
patch
/datacenters/{datacenterId}/natgateways/{natGatewayId}/rules/{natGatewayRuleId}

List NAT Gateway Flow Logs

get

List all the Flow Logs for the specified NAT Gateway.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/natgateways/{natGatewayId}/flowlogs

Create a NAT Gateway Flow Log

post

Adds a new Flow Log to the specified NAT Gateway.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

The URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
post
/datacenters/{datacenterId}/natgateways/{natGatewayId}/flowlogs

Retrieve NAT Gateway Flow Logs

get

Retrieve the specified NAT Gateway Flow Log.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

flowLogIdstringRequired

The unique ID of the Flow Log.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Responses
chevron-right
200

Successful operation

application/json
get
/datacenters/{datacenterId}/natgateways/{natGatewayId}/flowlogs/{flowLogId}

Modify NAT Gateway Flow Logs

put

Modify the specified NAT Gateway Flow Log.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

flowLogIdstringRequired

The unique ID of the Flow Log.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
put
/datacenters/{datacenterId}/natgateways/{natGatewayId}/flowlogs/{flowLogId}

Delete NAT Gateway Flow Logs

delete

Delete the specified NAT Gateway Flow Log.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

flowLogIdstringRequired

The unique ID of the Flow Log.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Responses
delete
/datacenters/{datacenterId}/natgateways/{natGatewayId}/flowlogs/{flowLogId}

No content

Partially modify NAT Gateway Flow Logs

patch

Update the properties of the specified NAT Gateway Flow Log.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

natGatewayIdstringRequired

The unique ID of the NAT Gateway.

flowLogIdstringRequired

The unique ID of the Flow Log.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Body
namestringRequired

The resource name.

Example: My resource
actionstring · enumRequired

Specifies the traffic action pattern.

Example: ACCEPTEDPossible values:
directionstring · enumRequired

Specifies the traffic direction pattern.

Example: INGRESSPossible values:
bucketstringRequired

The bucket name of an existing IONOS Cloud Object storage bucket.

Example: bucketName/key
Responses
patch
/datacenters/{datacenterId}/natgateways/{natGatewayId}/flowlogs/{flowLogId}

Last updated

Was this helpful?